ru.bitel.bgbilling.modules.card.common.bean

## Class Dealer

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.card.common.bean.Dealer

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class Dealer
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PARAM_TEST`
    `static java.lang.String` | `PARAM_TEST_STR`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dealer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canAppendComment()`
    `long` | `getAllowcontracts()`
    `int` | `getAllowcontractsMode()`
    `int` | `getCanselTime()`
    `java.lang.String` | `getCardContract()`
    `float` | `getCardPercent()`
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `java.util.Calendar` | `getDate1()`
    `java.util.Calendar` | `getDate2()`
    `int` | `getError()`
    `long` | `getFindmodes()`
    `java.lang.String` | `getIp()`
    `java.lang.String` | `getLogin()`
    `int` | `getParams()`
    `java.lang.String` | `getPassword()`
    `int` | `getPayComissionType()`
    `java.lang.String` | `getPayContract()`
    `float` | `getPayPercent()`
    `java.lang.String` | `getPt()`
    `int` | `getStatFinded()`
    `int` | `getStatPayed()`
    `int` | `getStatRequest()`
    `int` | `getType()`
    `void` | `setAllowcontracts(long allowcontracts)`
    `void` | `setAllowcontractsMode(int allowcontractsMode)`
    `void` | `setCanselTime(int endTime)`
    `void` | `setCardContract(java.lang.String cardContract)`
    `void` | `setCardPercent(float cardPercent)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)`
    `void` | `setDate1(java.util.Calendar date1)`
    `void` | `setDate2(java.util.Calendar date2)`
    `void` | `setError(int error)`
    `void` | `setFindmodes(long findmodes)`
    `void` | `setIp(java.lang.String ip)`
    `void` | `setLogin(java.lang.String login)`
    `void` | `setParams(int params)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setPayComissionType(int payComissionType)`
    `void` | `setPayContract(java.lang.String payContract)`
    `void` | `setPayPercent(float payPercent)`
    `void` | `setPt(java.lang.String pt)`
    `void` | `setStatFinded(int finded)`
    `void` | `setStatPayed(int payed)`
    `void` | `setStatRequest(int request)`
    `void` | `setType(int type)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### PARAM_TEST

          public static final int PARAM_TEST

      See Also:
        Constant Field Values

    - #### PARAM_TEST_STR

          public static final java.lang.String PARAM_TEST_STR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Dealer

          public Dealer()

  - ### Method Detail

    - #### getPayComissionType

          public int getPayComissionType()

    - #### setPayComissionType

          public void setPayComissionType(int payComissionType)

    - #### getCardContract

          public java.lang.String getCardContract()

    - #### setCardContract

          public void setCardContract(java.lang.String cardContract)

    - #### getPayContract

          public java.lang.String getPayContract()

    - #### setPayContract

          public void setPayContract(java.lang.String payContract)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getError

          public int getError()

    - #### setError

          public void setError(int error)

    - #### getLogin

          public java.lang.String getLogin()

    - #### setLogin

          public void setLogin(java.lang.String login)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getParams

          public int getParams()

    - #### getFindmodes

          public long getFindmodes()

    - #### getAllowcontracts

          public long getAllowcontracts()

    - #### getCanselTime

          public int getCanselTime()

    - #### setCanselTime

          public void setCanselTime(int endTime)

    - #### getDate1

          public java.util.Calendar getDate1()

    - #### setDate1

          public void setDate1(java.util.Calendar date1)

    - #### getDate2

          public java.util.Calendar getDate2()

    - #### setDate2

          public void setDate2(java.util.Calendar date2)

    - #### setParams

          public void setParams(int params)

    - #### setFindmodes

          public void setFindmodes(long findmodes)

    - #### setAllowcontracts

          public void setAllowcontracts(long allowcontracts)

    - #### getIp

          public java.lang.String getIp()

    - #### setIp

          public void setIp(java.lang.String ip)

    - #### getPt

          public java.lang.String getPt()

    - #### setPt

          public void setPt(java.lang.String pt)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### canAppendComment

          public boolean canAppendComment()

    - #### getStatFinded

          public int getStatFinded()

    - #### setStatFinded

          public void setStatFinded(int finded)

    - #### getStatPayed

          public int getStatPayed()

    - #### setStatPayed

          public void setStatPayed(int payed)

    - #### getStatRequest

          public int getStatRequest()

    - #### setStatRequest

          public void setStatRequest(int request)

    - #### getCardPercent

          public float getCardPercent()

    - #### setCardPercent

          public void setCardPercent(float cardPercent)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getPayPercent

          public float getPayPercent()

    - #### setPayPercent

          public void setPayPercent(float payPercent)

    - #### getAllowcontractsMode

          public int getAllowcontractsMode()

    - #### setAllowcontractsMode

          public void setAllowcontractsMode(int allowcontractsMode)